const fs = require('fs')

module.exports = {
    whatSubShouldIBuy: (bot, msg, logger) => {
        let subs = JSON.parse(fs.readFileSync('./data/group/subs.json', 'utf8'))

        const whatSubShouldIBuy = "what sub should i buy"

        if (msg.text && msg.text.toString().toLowerCase().includes(whatSubShouldIBuy)) {
            logger.info("ID - " + msg.from.id + " First Name - " + msg.from.first_name + " Asked what sub to buy");
            const randomSub = subs[Math.floor(Math.random() * subs.length)];
            bot.sendMessage(msg.chat.id, randomSub.SUB + "!");
        }
    },
    subStatus: (bot, msg, logger, name) => {
        let subs = JSON.parse(fs.readFileSync('./data/group/subs.json', 'utf8'))

        let string = ""
        const subStatus = "sub status";
        if (msg.text && msg.text.toString().toLowerCase().includes(subStatus)) {
            logger.info("ID - " + msg.from.id + " First Name - " + msg.from.first_name + " Asked how to get a subscription");
            subs.forEach(element => {
                if (element.STATUS != "X") {
                    if (element.STATUS === 1) {   
                        element.STATUS = "Up"
                    } else {
                        element.STATUS = "Down"
                    }
                    let catString = element.SUB + " Is " + element.STATUS
                    // console.log(catString)
                    string += '\n' + catString;
                }
            });
            // console.log(string)
            bot.sendMessage(msg.chat.id, string, { parse_mode: "HTML" })
        }
    }
}